/*
 * This class itemize token from input stream of web document
 * and create node object and returns arraylist.
 */
package thesis;

import java.util.*;
/**
 * version-2
 * @author titasmutsuddy
 */
public class DomTree{

	private int Flag = -1;
	public String tag;
	public static int level;
	ArrayList<Nodex> list;

	public DomTree(){

		level = 0;
		list = new ArrayList<Nodex>();
	}

	public void CreateTree(int type, String content){
            
		switch(type) {


			case 0:			{	//Tag
								tag = "<" + content + ">";
								HandleNewTag(tag);
								break;
							}
			case 1:			{	//EndTag
								tag = "</"+ content + ">";
								HandleEndTag(tag);
								break;
							}
			case 2:			{
								tag = content;
								HandleContent(tag);
								break;
							}
			default:		{
								System.out.println("Error!");
								break;
							}
		}

	}
	public void HandleNewTag(String tag){

		StringTokenizer tt = new StringTokenizer(tag," ");
		String s = tt.nextToken();

		if ((s.equalsIgnoreCase("<br>")) || (s.equalsIgnoreCase("<img"))
			||(s.equalsIgnoreCase("<meta"))||(s.equalsIgnoreCase("<link")) ) {

			Nodex node = new Nodex(tag,this.level);
			list.add(node);

		}else{

			this.level++;
			Nodex node = new Nodex(tag,this.level);
			list.add(node);
		}
	}
	public void HandleEndTag(String tag){

		Nodex node = new Nodex(tag,this.level);
		list.add(node);
		this.level = this.level-1;

	}
	public void HandleContent(String tag){
		//System.out.println("Content:"+tag);
		Nodex node = new Nodex(tag, this.level);
		list.add(node);

	}

	public ArrayList<Nodex> GetTree(){

		return list;
	}

}
