

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
 package thesis;
 
import java.util.*;
/**
 *
 * @author titasmutsuddy
 */
public class SeedNFA {

        public State startState;
        public State currentState;

        public static ArrayList<Integer> Q;                  /* Data Structure for States */
        public ArrayList F;                         /* Data Structure for Final States */
        public ArrayList S;                         /* Data Structure for Symbols */
        public static ArrayList<Transition> T;      /* Data Structure for Transition */

        public SeedNFA(){
            startState = currentState = new State();
            Q = new ArrayList<Integer>();
            F = new ArrayList();
            S = new ArrayList();
            T = new ArrayList<Transition>();
        }
        public void addState(Object obj){
            //System.out.println("Check 1:");
            if(((currentState.getObject()).getClass()).equals(obj.getClass()) && (!(currentState.next1 == null))){
                //System.out.print("Check2:  ");
                currentState = currentState.next1;
                //System.out.println("Trans-4:  "+(currentState.parent).getState()+"----"+((currentState.parent).getObject()).getClass()+"---->"+(currentState).getState());
            }else if(((currentState.getObject())== null) && ((((currentState.next1).getObject()).getClass()).equals(obj.getClass()))){
                System.out.println("Check3:");
                currentState = currentState.next1;
            }else if(((currentState.getObject())== null) && ((((currentState.next2).getObject()).getClass()).equals(obj.getClass()))){
                System.out.println("Check4:");
                currentState = currentState.next2;
            }else if((!(((currentState.getObject()).getClass()).equals(obj.getClass())))&& (!(currentState.next1 == null))){
                //System.out.println("Check5: ");
                int stateNum = currentState.getState();
                ResetState(stateNum);
                //System.out.println("Titas:"+currentState.getState()+" obj:"+(currentState.getObject()).getClass());
                State std1 = new State(stateNum);

                if(currentState.parent == null){
                    //System.out.println("Check6:");
                    std1.next1 = currentState;
                    currentState.parent = std1;
                    if(currentState == startState){
                        startState = currentState.parent;
                    }
                    currentState = currentState.parent;
                    Q.add(currentState.getState());
                    T.add(new Transition(currentState.getState(), (currentState.next1).getState()));
                    //System.out.println("Trans-5:"+currentState.getState()+"----"+((currentState.parent).getObject()).getClass()+"---->"+(currentState.next1).getState());
                }else if(!(currentState.parent == null)){
                    //System.out.println("Check7: ");
                    std1.next1 = currentState;
                    std1.parent = currentState.parent;
                    (currentState.parent).next1 = std1;
                    currentState.parent = std1;
                    currentState = currentState.parent;
                    Q.add(currentState.getState());
                    T.add(new Transition(currentState.getState(), (currentState.next1).getState()));
                    //System.out.println("Trans-6:"+currentState.getState()+"----"+((currentState).getObject()).getClass()+"---->"+(currentState.next1).getState());
                }
                //System.out.println("Check8:");
                State std2 = new State(getLastState()+1);
                currentState.next2 = std2;
                std2.parent = currentState;
                currentState = currentState.next2;
                currentState.setObject(obj);
                Q.add(currentState.getState());
                currentState.next1 = new State(currentState.getState()+1);
                (currentState.next1).parent = currentState;
                T.add(new Transition(currentState.getState(),(currentState.next1).getState(), obj));
                //System.out.println("Trans-2:"+currentState.getState()+"----"+(currentState.getObject()).getClass()+"---->"+(currentState.next1).getState());
                currentState = currentState.next1;
                Q.add(currentState.getState());

            }else{
                //System.out.print("Check9: ");
                int stateNum = currentState.getState();
                currentState.setObject(obj);
                if(currentState == startState){
                    Q.add(currentState.getState());
                }
                currentState.next1 = new State(stateNum +1);
                (currentState.next1).parent = currentState;
                currentState = currentState.next1;
                Q.add(currentState.getState());
                T.add(new Transition((currentState.parent).getState(), currentState.getState(), obj));
                //System.out.println(" Tran-3:  "+(currentState.parent).getState()+"----"+((currentState.parent).getObject()).getClass()+"---->"+(currentState).getState());
            }
        }
        public void ResetState(int stateNum ){
            State tempState = currentState;
            boolean flag = true;
             Q.remove(stateNum);
            do{
                if(tempState.next1 == null) flag = false;
                //System.out.print("Old State:"+tempState.getState()+"------>");
                tempState.setState(tempState.getState()+1);
                //System.out.println("New State:"+tempState.getState());
                if(!(tempState.next1 == null))
                    tempState = tempState.next1;
            }while(flag);
            Q.add(tempState.getState());
            tempState = null;

            for(int i=0; i < T.size(); i++){
                int oldState = ((T.get(i).getState()));
                if(oldState >= stateNum){
                    (T.get(i)).incrementState();
                }
            }
        }
        public int getLastState(){
            int stateNum = 0;
            for(int i=0; i < Q.size(); i++) {
                int y = Q.get(i);
                //System.out.println("State from Q:"+ y);
                if(y > stateNum){
                    stateNum = y;
                }
            }
            //System.out.println("Last State:"+ stateNum);
            return stateNum;
        }
        public void Reset(){
            currentState = startState;
        }
        public void ResetList(){
            startState.next1 = null;
            startState.next2 = null;
            startState = currentState;
        }
        public void ShowTransaction(){
            Transition tran;
            for(int i=0; i < T.size(); i++){
                tran = T.get(i);
                System.out.println("Trans:"+tran.getState()+"----"+(tran.getObject()).getClass()+"---->"+tran.getNextState());
            }
        }
}
