/**
 * Exception class for access in empty containers
 * such as stacks, queues, and priority queues.
 * @author Mark Allen Weiss
 */
package thesis;
/**
 *
 * @author titasmutsuddy
 */
public class UnderflowException extends RuntimeException {
	public static final long serialVersionUID = 24362462L;
    /**
     * Creates a new instance of <code>UnderflowException</code> without detail message.
     */
    public UnderflowException() {
    }
    /**
     * Constructs an instance of <code>UnderflowException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public UnderflowException( String message ) {
        /**
     * Construct this exception object.
     * @param message the error message.
     */
        super( message );
    }
    }
